Get the list of applications in this organization.
Note
When calling this API using tokens issued for a personal Microsoft account, it will return the apps owned by the personal Microsoft account. The notion of organizations doesn't exist for personal Microsoft accounts. In order to list applications owned by specific personal Microsoft accounts, this API requires User.Read permission in addition to Application.Read.All or Application.ReadWrite.All.
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
This method supports the $count, $expand, $filter, $orderBy, $search, $select, and $topOData query parameters to help customize the response. The default and maximum page sizes are 100 and 999 application objects respectively. Some queries are supported only when you use the ConsistencyLevel header set to eventual and $count. For more information, see Advanced query capabilities on Azure AD directory objects.
By default, this API doesn't return the value of the key in the keyCredentials property when listing all applications. To retrieve the public key info in key, the keyCredentials property must be specified in a $select query. For example, $select=id,appId,keyCredentials.
The use of $select to get keyCredentials for applications has a throttling limit of 150 requests per minute for every tenant.
Request headers
Name
Description
Authorization
Bearer {token}. Required.
ConsistencyLevel
eventual. This header and $count are required when using $search, or in specific usage of $filter. For more information about the use of ConsistencyLevel and $count, see Advanced query capabilities on Azure AD directory objects.
Request body
Do not supply a request body for this method.
Response
If successful, this method returns a 200 OK response code and a collection of application objects in the response body.
//THE GO SDK IS IN PREVIEW. NON-PRODUCTION USE ONLY
graphClient := msgraphsdk.NewGraphServiceClient(requestAdapter)
result, err := graphClient.Applications().Get()
<?php
// THIS SNIPPET IS A PREVIEW FOR THE KIOTA BASED SDK. NON-PRODUCTION USE ONLY
$graphServiceClient = new GraphServiceClient($requestAdapter);
$requestResult = $graphServiceClient->applications()->get();
The following is an example of the request. This request requires the ConsistencyLevel header set to eventual because $count is in the request. For more information about the use of ConsistencyLevel and $count, see Advanced query capabilities on Azure AD directory objects.
Note: The $count and $search query parameters are currently not available in Azure AD B2C tenants.
GET https://graph.microsoft.com/v1.0/applications/$count
ConsistencyLevel: eventual
Response
The following is an example of the response.
HTTP/1.1 200 OK
Content-type: text/plain
893
Example 3: Use $filter and $top to get one application with a display name that starts with 'a' including a count of returned objects
Request
The following is an example of the request. This request requires the ConsistencyLevel header set to eventual and the $count=true query string because the request has both the $orderBy and $filter query parameters. For more information about the use of ConsistencyLevel and $count, see Advanced query capabilities on Azure AD directory objects.
Note: The $count and $search query parameters are currently not available in Azure AD B2C tenants.
GET https://graph.microsoft.com/v1.0/applications?$filter=startswith(displayName, 'a')&$count=true&$top=1&$orderby=displayName
ConsistencyLevel: eventual
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
var queryOptions = new List<QueryOption>()
{
new QueryOption("$count", "true")
};
var applications = await graphClient.Applications
.Request( queryOptions )
.Header("ConsistencyLevel","eventual")
.Filter("startswith(displayName, 'a')")
.OrderBy("displayName")
.Top(1)
.GetAsync();
<?php
// THIS SNIPPET IS A PREVIEW FOR THE KIOTA BASED SDK. NON-PRODUCTION USE ONLY
$graphServiceClient = new GraphServiceClient($requestAdapter);
$requestConfiguration = new ApplicationsRequestBuilderGetRequestConfiguration();
$queryParameters = new ApplicationsRequestBuilderGetQueryParameters();
$queryParameters->filter = "startswith(displayName,%20'a')";
$queryParameters->count = true;
$queryParameters->top = 1;
$queryParameters->orderby = ["displayName"];
$headers = [
'ConsistencyLevel' => 'eventual',
];
$requestConfiguration->queryParameters = $queryParameters;
$requestConfiguration->headers = $headers;
$requestResult = $graphServiceClient->applications()->get($requestConfiguration);
Example 4: Use $search to get applications with display names that contain the letters 'Web' including a count of returned objects
Request
The following is an example of the request. This request requires the ConsistencyLevel header set to eventual because $search and the $count=true query string is in the request. For more information about the use of ConsistencyLevel and $count, see Advanced query capabilities on Azure AD directory objects.
Note: The $count and $search query parameters are currently not available in Azure AD B2C tenants.
<?php
// THIS SNIPPET IS A PREVIEW FOR THE KIOTA BASED SDK. NON-PRODUCTION USE ONLY
$graphServiceClient = new GraphServiceClient($requestAdapter);
$requestConfiguration = new ApplicationsRequestBuilderGetRequestConfiguration();
$queryParameters = new ApplicationsRequestBuilderGetQueryParameters();
$queryParameters->search = "\"displayName:Web\"";
$queryParameters->count = true;
$headers = [
'ConsistencyLevel' => 'eventual',
];
$requestConfiguration->queryParameters = $queryParameters;
$requestConfiguration->headers = $headers;
$requestResult = $graphServiceClient->applications()->get($requestConfiguration);